%define  ver     0.10
%define  rel     3
%define  prefix  /usr

%define extra_builds buffy-0.2 gtk-thinice-theme-1.0.3 notif2-1.0

# We ignore this - gtkstep screws up things
%define screwed_up_builds gtkstep-1.7 gtkstep-pastel-0.9.1

Summary: Theme engines for GTK+.
Name: gtk-engines
Version: %ver
Release: %rel
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/source/gtk-engines/gtk-engines-%{PACKAGE_VERSION}.tar.gz
Source1: gtk-themes-extra-4.tar.gz

Source2: GTKstep.tar.gz
Source3: Notif2-1.0.tar.gz
Source4: ThinIce.tar.gz
Source5: buffy-0.2.tar.gz
Source6: gtkstep-pastel.tar.gz

# The sum total of gtk.themes.org
Source10: 5.tar.gz
Source11: AbsoluteE.tar.gz
Source12: Aspen.tar.gz
Source13: Basic.tar.gz
Source14: BeOS.tar.gz
Source15: Beta.tar.gz
Source16: Blue-n-Gray.tar.gz
Source17: BlueSteel.tar.gz
Source18: BlueTheme.tar.gz
Source19: Bluish.tar.gz
Source20: Bluthe-1.0.tar.gz
Source21: BrushedMarbles.tar.gz
Source22: BrushedMetal.tar.gz
Source23: BrushedMetalClean.tar.gz
Source24: Cheese.tar.gz
Source25: Chrome.tar.gz
Source26: CoolIce.tar.gz
Source27: Coolness.tar.gz
Source28: E-Default.tar.gz
Source29: Expensive.tar.gz
Source30: Forest-Green.tar.gz
Source31: GTK_LCARS.tar.gz
Source32: Gradient.tar.gz
Source33: IceBerg.tar.gz
Source34: Jander.tar.gz
Source35: JedEye.tar.gz
Source36: LCARS.tar.gz
Source37: LCD.tar.gz
Source38: Macos-Blue-8.6.tar.gz
Source39: Marble.tar.gz
Source40: Metallic.tar.gz
Source41: Metallic_Plum.tar.gz
Source42: MorphiusX.tar.gz
Source43: Muffy.tar.gz
Source44: Odo.tar.gz
Source45: OldWood.tar.gz
Source46: PalmOS.tar.gz
Source47: Porcelain.tar.gz
Source48: QNX-Photon.tar.gz
Source49: Rats.tar.gz
Source50: Red-and-Blue.tar.gz
Source51: Rocks.tar.gz
Source52: Scalpel.tar.gz
Source53: ShinyMetal.tar.gz
Source54: Skiberg.tar.gz
Source55: Smoke-full.tar.gz
Source56: Smoke.tar.gz
Source57: SoulTrip.tar.gz
Source58: ThinSki.tar.gz
Source59: Tiger.tar.gz
Source60: Tildouf.tar.gz
Source61: Turismo.tar.gz
Source62: WoodenScraps.tar.gz
Source63: Yell-O.tar.gz
Source64: Zap5.tar.gz
Source65: eMac-GTK.tar.gz
Source66: lauxes.tar.gz
Source67: photon.tar.gz

Url: http://gtk.themes.org
BuildRoot:/var/tmp/gtk-engines-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc

%description
The gtk-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines.  Theme engines
provide different looks for GTK+, so that it can resemble other
toolkits or operating systems.  The gtk-engines package contains
graphical engines for various GTK+ toolkit themes, including Notif,
Redmond95, Pixmap and Metal (swing-like).

%prep
%setup -q -a 2 -a 3 -a 4 -a 5 -a 6

%build
libtoolize --force
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" %configure
make
for I in `echo %{extra_builds}`; do
	cd $I
	libtoolize --force
	aclocal
	automake
	autoconf
	CFLAGS="$RPM_OPT_FLAGS" %configure --cache-file=../config.cache
	make
	cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
#
# makefile is broken, sets exec_prefix explicitely.
#
make exec_prefix=$RPM_BUILD_ROOT/%{prefix} prefix=$RPM_BUILD_ROOT/%{prefix} install 

for I in `echo %{extra_builds}`; do
	cd $I
	make exec_prefix=$RPM_BUILD_ROOT/%{prefix} prefix=$RPM_BUILD_ROOT/%{prefix} install
	cd ..
done

# expand extra themes
cd $RPM_BUILD_ROOT%{prefix}/share/themes; tar xzvf %{SOURCE1}

for I in 5 AbsoluteE Basic BeOS Beta Blue-n-Gray BlueSteel \
BlueTheme Bluish Bluthe-1.0 BrushedMarbles BrushedMetal \
BrushedMetalClean Cheese Chrome CoolIce Coolness E-Default Expensive \
Forest-Green GTK_LCARS Gradient IceBerg Jander JedEye LCARS LCD \
Macos-Blue-8.6 Marble Metallic Metallic_Plum MorphiusX Muffy Odo OldWood \
PalmOS Porcelain QNX-Photon Rats Red-and-Blue Rocks Scalpel ShinyMetal \
Skiberg Smoke-full Smoke SoulTrip ThinSki Tiger Tildouf Turismo \
WoodenScraps Yell-O Zap5 eMac-GTK lauxes photon; do
	tar -C $RPM_BUILD_ROOT%{prefix}/share/themes -xzf $RPM_SOURCE_DIR/$I.tar.gz
done

(cd $RPM_BUILD_ROOT%{prefix}/share/themes;
# Here's where I get to give themes dumb names because of possible
# trademarks
mv QNX-Photon LightSpeed
mv photon Torpedo
mv macos8.6-blue MockMack
mv BeOS BeCool
mv PalmOS LCD
mv eMac eMock
rm -rf BrushedMetalBlue
)

# remove Odo its broke
rm -rf $RPM_BUILD_ROOT%{prefix}/share/themes/Odo

# remove backup files that shouldn't be here.  Fix me.
find $RPM_BUILD_ROOT%{prefix}/share/themes -name \*~ | xargs rm -v

# No, we don't need to package these either
find $RPM_BUILD_ROOT%{prefix}/share/themes -type d -name ".xvpics" | xargs rm -rvf

# sanitize permissions
find $RPM_BUILD_ROOT%{prefix}/share/themes -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{prefix}/share/themes -type f -name "*.png" -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{prefix}/share/themes -name "gtkrc*" -perm +111 -exec chmod 644 {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README ChangeLog
%{prefix}/lib/gtk/themes/engines/*
%{prefix}/share/themes/*

%changelog
* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- sanitize various things (permissions, .xv thumbnails)

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- remove backup files from package

* Tue Jan 25 2000 Owen Taylor <otaylor@redhat.com>
- Update to 0.10 (fixing problem with text in eventboxes
  becoming garbled)

* Wed Sep 15 1999 Elliot Lee <sopwith@redhat.com>
- Misc fixes from DrMike suggestions

* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Update to 0.6, etc.

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- removed Odo (has issues)

* Fri Apr 9 1999 The Rasterman <raster@redhat.com>
- patched metal theme - fixed handlebox redraw.

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- removed some themes that were misbehaving

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- removed enlightened themes, seems to be defective

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- removed Default theme data, this comes with gtk+ package

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- added extra gtk themes

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3

* Mon Dec 18 1998 Michael Fulbright <drmike@redhat.com>
- version 0.2

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- rebuild because gtk+ version changed

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- in preparation for GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file
